[ CCUnit project page ] |  | [ CCUnit home page ]

Modules | Functions

# MakeSuite
[Module Hierarchy]

Generate a code to creating test suite code from the test case source codes. More...

Collaboration diagram for MakeSuite:

## Modules
| _TestDef

| Test definition.
| _TestSuiteDef

| Test suite definition.
| _TestFuncDef

| Test func definition.
| _TestCaseDef

| Test case definition.
| _ReadSuite

| Read test func definitions from test source code.
| _WriteSuite

| Write the source code to making the test suite.
| _PrintSuite
| Creating test suite tool ccunit_makeSuite

| Generate a source code to creating test suite.
## Functions
static void | usage (const char *progname)
| print help massage.

## Detailed Description

Generate a code to creating test suite code from the test case source codes.

To generate a code, the test case source codes must be formatted by following pseudo-BNF:

     SOURCEFILE ::= [SUITE]... | TESTCASE...

     SUITE ::= SUITE_HEADER
               [ any-C-code ]...
               TESTCASE...
               SUITE_END

     SUITE_HEADER ::= JAVADOC_COMMENT_BEGIN 'test suite:' SUITE_NAME COMMENT_END
     SUITE_END ::= JAVADOC_COMMENT_BEGIN 'end test suite' wsp string COMMENT_END

     TESTCASE ::= TESTCASE_HEADER
                 [TESTCASE_CODE]...
                 [TESTFUNC]...
                 TESTCASE_END

     TESTCASE_HEADER ::= JAVADOC_COMMENT_BEGIN
                        'test case:' TESTCASE_NAME
                        COMMENT_END
     TESTCASE_CODE ::= any C language codes.

     TESTFUNC ::= [ FUNC_DESC ] 'void ' FUNC_PREFIX[A-Za-z0-9_]* '()' FUNC_BODY

     FUNC_PREFIX ::= 'test' | 'setUp' | 'tearDown' | 'setup_setUp' | 'setup_tearDown'

     TESTCASE_END ::= JAVADOC_COMMENT_BEGIN 'end test case ' [string] COMMENT_END

     FUNC_DESC ::= JAVADOC_COMMENT_BEGIN string COMMENT_END

     FUNC_BODY ::= '{' C language codes... '}'

     JAVADOC_COMMENT_BEGIN ::= '/' '*' '*'
     COMMENT_END ::= '*' '/'

## Function Documentation

static void usage | ( | const char * | progname | ) | `[static]`

print help massage.

Parameters:

  | progname | program name.

References LONGOPTNAME.

| hosts this site. |  | Send comments to: CCUnit Developer |